from src.suppressors.order_based import suppress_order_based

def test_supress_order_based():
    annotations = [
        (10, 16, "Marian"),
        (10, 18, "Marianna"),
        (30, 35, "Nowak"),
        (50, 59, "Wrocławiu"),
    ]
    result = suppress_order_based(annotations)
    expected = [
        (10, 16, "Marian"),
        (30, 35, "Nowak"),
        (50, 59, "Wrocławiu"),
    ]
    assert set(result) == set(expected)